Imports System.Web
Imports Microsoft.VisualBasic

Namespace Bean.Demos
    Partial Class TabDemo
        Inherits System.Web.UI.Page

        Public Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            If Not Page.IsPostBack Then
                'Demo all methods and properties of the TabControl
                tabBar.ControlImagePath = "TabControl/"
                tabBar.ControlScriptPath = "TabControl/"

                'Run default.aspx to use this demo page!
                If IsNothing(Request.QueryString("Type")) Then
                    lblDynamic.Text = "Run default.aspx to use this demo page! - 2 other modes demo'ed."
                    lblDynamic.ForeColor = Drawing.Color.Red
                End If

                If IsNothing(Request.QueryString("Type")) Or Request.QueryString("Type") = "D" Then
                    'Use Dynamic DIV areas tab type
                    tabBar.AddTab("tab 1", "icon_user.gif", "divTab1")
                    tabBar.AddTab("tab 2", "icon_activity.gif", "divTab2")
                    tabBar.TabType = Bean.Controls.TabControl.TabTypes.Dynamic
                    tabBar.TabWidth = "100"
                    tabBar.ContentWidth = "300px"
                    tabBar.ContentHeight = "100px"
                    'tabBar.Scroll = True 'this will enforce the height of the div
                    tabBar.OnClick = "countClicks('{0}');"
                    tabBar.TabSelected = 1
                    tabBar.UseHand = True
                    lblTitle.Text = "Dynamic Tab Control Demo"
                    selectTab.Visible = True
                ElseIf Request.QueryString("Type") = "F" Then
                    'Use Inline Frames tab type
                    'Add home button and a second row of tabs
                    tabBar.AddTab("tab 1", "icon_user.gif", "http://www.beanland.net.au/programming/dotnet/")
                    tabBar.AddTab("tab 2", "icon_activity.gif", "http://www.microsoft.com")
                    tabBar.NewRow()
                    tabBar.AddTab("tab 3", "icon_company.gif", "http://www.google.com")
                    tabBar.TabType = Bean.Controls.TabControl.TabTypes.Frames
                    tabBar.TabHome = True
                    tabBar.Scroll = False
                    tabBar.TabSelected = 2
                    lblTitle.Text = "Inline Frames Tab Control Demo"
                ElseIf Request.QueryString("Type") = "P" Then
                    'Use Postback tab type
                    'Don't apply styles, but size the content area
                    tabBar.AddTab("tab 1", "", "")
                    tabBar.AddTab("tab 2", "", "")
                    tabBar.TabType = Bean.Controls.TabControl.TabTypes.PostBack
                    tabBar.ApplyContentStyle = False
                    'Do something with the tab content (which is a label for this demo - can be anything)
                    lblPostBack.Text = "Hi, this is tab # " & CStr(tabBar.TabSelected)
                    lblTitle.Text = "PostBack Tab Control Demo"
                End If
            End If
        End Sub

        Private Sub onTabSelected(ByVal intTab As Int16) Handles tabBar.onTabSelected
            'This event only occurs when in Postback tab type is used
            lblPostBack.Text = "Hi, this is tab # " & intTab.ToString
        End Sub
    End Class
End Namespace
